// swift-tools-version:5.9
import PackageDescription

let package = Package(
    name: "macos-sync",
    platforms: [.macOS(.v13)],
    products: [
        .executable(
            name: "CairnquireSync",
            targets: ["CairnquireSyncApp"]
        ),
        .executable(
            name: "cairnquire-cli",
            targets: ["cairnquire-cli"]
        ),
    ],
    dependencies: [],
    targets: [
        .target(
            name: "CairnquireSync",
            dependencies: []
        ),
        .executableTarget(
            name: "CairnquireSyncApp",
            dependencies: ["CairnquireSync"],
            path: "Sources/CairnquireSyncApp"
        ),
        .executableTarget(
            name: "cairnquire-cli",
            dependencies: ["CairnquireSync"],
            path: "Sources/cairnquire-cli"
        ),
    ]
)
